Name: intltool
Summary: Utility for internationalizing various kinds of data files
Version: 0.51.0
Release: 1
License: GPLv2 with exceptions
Group: Development/Tools
URL: http://www.gnome.org
Source0: http://edge.launchpad.net/intltool/trunk/%{version}/+download/%{name}-%{version}.tar.gz
# Fix intltool-update to work with perl 5.26. Patch taken from
# Debian's intltool_0.51.0-4.debian.tar.xz
Patch1: intltool-perl5.26-regex-fixes.patch
# https://bugs.launchpad.net/intltool/+bug/1505260
# https://bugzilla.redhat.com/show_bug.cgi?id=1249051
Patch2: intltool-merge-Create-cache-file-atomically.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=1318674
Patch3: intltool_distcheck-fix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Obsoletes: xml-i18n-tools
Provides: xml-i18n-tools = 0.11

BuildRequires: make
BuildRequires: perl-XML-Parser >= 2.40
BuildRequires: gettext
BuildRequires: perl >= 5.8.8

Requires: perl-XML-Parser >= 2.44
Requires: perl >= 5.24.1
Requires: gettext
# for /opt/freeware/share/aclocal
Requires: automake

%description
This tool automatically extracts translatable strings from oaf, glade,
bonobo ui, nautilus theme, .desktop, and other data files and puts
them in the po files.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
export PATH=/opt/freeware/bin:$PATH
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
gmake


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/aclocal/*
%{_mandir}/man*/*
/usr/bin/*


%changelog
* Fri Oct 12 2018 Michael Perzl <michael@perzl.org> - 0.51.0-1
- updaed to version 0.51.0

* Mon Apr 30 2012 Michael Perzl <michael@perzl.org> - 0.50.2-1
- updaed to version 0.50.2

* Tue Feb 08 2011 Michael Perzl <michael@perzl.org> - 0.41.1-1
- updaed to version 0.41.1

* Fri Dec 17 2010 Michael Perzl <michael@perzl.org> - 0.40.6-2
- removed dependency on gettext >= 0.17

* Wed Jul 01 2009 Michael Perzl <michael@perzl.org> - 0.40.6-1
- first version for AIX V5.1 and higher
